package com.uddream.plugin;

import android.content.DialogInterface;
import android.support.design.widget.TabLayout;
import android.view.View;
import android.widget.AdapterView;
import android.widget.CompoundButton;
import android.widget.Toast;

/**
 * Created by Glen on 2017/2/8.
 */

public class Agent {
    public static boolean isPluginEnable;
    public static String packageName;

    public static void onClickPre(View view) {
        Toast.makeText(view.getContext(), "agent click pre listener", Toast.LENGTH_LONG).show();
    }

    public static void onClick(View view) {
        Toast.makeText(view.getContext(), "agent click listener", Toast.LENGTH_LONG).show();
    }

    public static void onItemClickPre(AdapterView<?> parent, View view, int position, long id) {
        Toast.makeText(view.getContext(), "agent click listener", Toast.LENGTH_LONG).show();
    }

    public static void onItemClick(AdapterView<?> parent, View view, int position, long id) {
        Toast.makeText(view.getContext(), "agent click listener", Toast.LENGTH_LONG).show();
    }

    public static void onClickPre(DialogInterface dialog, int which) {
    }

    public static void onClick(DialogInterface dialog, int which) {
    }

    public static void onTabSelectedPre(TabLayout.Tab tab) {
    }

    public static void onTabSelected(TabLayout.Tab tab) {
    }

    public static void onCheckedChangedPre(CompoundButton view, boolean isChecked) {
        Toast.makeText(view.getContext(), "agent check pre listener " + isChecked, Toast.LENGTH_LONG).show();
    }

    public static void onCheckedChanged(CompoundButton view, boolean isChecked) {
        Toast.makeText(view.getContext(), "agent check listener " + isChecked, Toast.LENGTH_LONG).show();
    }
}
